I am using Darwin OS on terminal but cannot use apt-get, yum command(only brew is usable)

I am using Darwin OS on terminal but cannot use apt-get, yum command(only brew is usable)

Sometime, I need to use opt-get (ex. installing linux essential header) But my terminal says “command not found”

So what should I do for it?